{ config, pkgs, ... }:
{
	imports = [./default.nix];

	# boot
	boot.loader.systemd-boot.enable = true;
	boot.loader.efi.canTouchEfiVariables = true;
	# zfs
	boot.initrd.supportedFilesystems = ["zfs"]; # boot from zfs
	boot.supportedFilesystems = [ "zfs" ];
	#boot.kernelParams = [ "nohibernate" ];
	services.zfs.autoScrub.enable = true;

	networking.useNetworkd = true;
	networking.useDHCP = false;
}

